Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class ResponseParameter

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<String>
              juzu.request.Parameter
                  juzu.request.ResponseParameter

All Implemented Interfaces:
  Iterable<String>, Collection<String>, List<String>

    public abstract class ResponseParameter

extends Parameter

Author:
  Julien Viet

Method Summary
`
`<M extends Map<String,ResponseParameter>> M`
` | `addTo(M map)`
`static ResponseParameter` | `create(Encoding encoded, String name, String... value)`
`static ResponseParameter` | `create(Encoding encoded, String name, String value)`
`static ResponseParameter` | `create(String name, String... value)`
`static ResponseParameter` | `create(String name, String value)`
`Encoding` | `getEncoding()`
`String` | `getName()`
`String[]` | `toArray()`
`String` | `toString()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, get, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, size, toArray`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, size, toArray`

Method Detail

### create

    public static ResponseParameter create(String name,
                                           String value)

### create

    public static ResponseParameter create(String name,
                                           String... value)

### create

    public static ResponseParameter create(Encoding encoded,
                                           String name,
                                           String value)

### create

    public static ResponseParameter create(Encoding encoded,
                                           String name,
                                           String... value)

### addTo

    public <M extends Map<String,ResponseParameter>> M addTo(M map)

### getEncoding

    public Encoding getEncoding()

### getName

    public String getName()

  Specified by:
    `getName` in class `Parameter`

### toArray

    public String[] toArray()

  Specified by:
    `toArray` in interface `Collection<String>`
  Specified by:
    `toArray` in interface `List<String>`
  Overrides:
    `toArray` in class `AbstractCollection<String>`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractCollection<String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 eXo Platform SAS. All rights reserved.